package link.at17.mid.tushare.data.validator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

@Documented
@Constraint(validatedBy = CronValidator.class)
@Target({ ElementType.FIELD, ElementType.PARAMETER })
@Retention(RetentionPolicy.RUNTIME)
public @interface ValidCron {

    String message() default "无效的 Cron 表达式";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}